
import os, _lucene

__dir__ = os.path.abspath(os.path.dirname(__file__))

class JavaError(Exception):
    def getJavaException(self):
        return self.args[0]

class InvalidArgsError(Exception):
    pass

_lucene._setExceptionTypes(JavaError, InvalidArgsError)

VERSION = "2.4.1"
CLASSPATH = [os.path.join(__dir__, "lucene-core-2.4.1.jar"), os.path.join(__dir__, "lucene-snowball-2.4.1.jar"), os.path.join(__dir__, "lucene-highlighter-2.4.1.jar"), os.path.join(__dir__, "lucene-analyzers-2.4.1.jar"), os.path.join(__dir__, "lucene-regex-2.4.1.jar"), os.path.join(__dir__, "lucene-queries-2.4.1.jar"), os.path.join(__dir__, "lucene-instantiated-2.4.1.jar")]
CLASSPATH = os.pathsep.join(CLASSPATH)

from _lucene import *
